## org.eclipse.m2m.qvt.oml.debug.core.vm
Class VariableFinder

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.VariableFinder

    public class VariableFinder

extends java.lang.Object

Constructor Summary
`VariableFinder(org.eclipse.m2m.qvt.oml.debug.core.vm.VMFrameExecutionContext featureAccessor)`

Method Summary
`static java.lang.String` `computeDetail(URI variableURI, UnitLocationExecutionContext frameContext)`
`static URI` `createURI(java.lang.String[] varPath)`
`static URI` `createURI(java.lang.String[] varPath, int endIndex)`
`void` `find(java.lang.String[] objectPath, boolean fetchChildVariables, java.util.List<VMVariable> result)`
`static java.lang.String` `getRootVarName(URI variableURI)`
`static java.lang.String[]` `getVariablePath(URI variableURI)`
`static URI` `parseURI(java.lang.String variableURI)`
`static VMResponse` `process(VMVariableRequest request, java.util.List<UnitLocation> stack, UnitLocationExecutionContext frameContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableFinder

    public VariableFinder(org.eclipse.m2m.qvt.oml.debug.core.vm.VMFrameExecutionContext featureAccessor)

Method Detail

### computeDetail

    public static java.lang.String computeDetail(URI variableURI,
                                                 UnitLocationExecutionContext frameContext)

### process

    public static VMResponse process(VMVariableRequest request,
                                     java.util.List<UnitLocation> stack,
                                     UnitLocationExecutionContext frameContext)

### find

    public void find(java.lang.String[] objectPath,
                     boolean fetchChildVariables,
                     java.util.List<VMVariable> result)

### parseURI

    public static URI parseURI(java.lang.String variableURI)
                        throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getVariablePath

    public static java.lang.String[] getVariablePath(URI variableURI)

### getRootVarName

    public static java.lang.String getRootVarName(URI variableURI)

### createURI

    public static URI createURI(java.lang.String[] varPath)

### createURI

    public static URI createURI(java.lang.String[] varPath,
                                int endIndex)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.